/* OpenVAS Client
 * Copyright (C) 1998 Renaud Deraison
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _OPENVAS_HTML_OUTPUT_H
#define _OPENVAS_HTML_OUTPUT_H
#include <glib.h>

typedef enum{
  ISSUE_TYPE_NONE,
  ISSUE_TYPE_FP,
  ISSUE_TYPE_NOTE,
  ISSUE_TYPE_WARN,
  ISSUE_TYPE_HOLE,
  ISSUE_TYPE_LAST
} issue_type;

int   arglist_to_html (struct arglist * , char * );
int   html_output_from_arg (struct arglist * , char * , gboolean, gboolean);
void  html_output_fprint_link(FILE* file, const char* key, const char*  item);
char* html_output_extract_xref(FILE* file, char* str, char* key);
char* html_output_convert_cr_to_html(char* str);
char* html_output_portname_to_ahref(char* name, char* hostname);
void  html_output_print_data_with_links(FILE* file, char* str, char* plugin_oid,
                      gboolean internal_link);

#endif
